# Reference

## Tibble methods

#### dplyr

* [`.arrange()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.arrange)
* [`.bind_cols()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.bind_cols)
* [`.bind_rows()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.bind_rows)
* [`.count()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.count)
* [`.distinct()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.distinct)
* [`.drop()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.drop)
* [`.head()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.head)
* [`.filter()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.filter)
* Joins
  * [`.full_join()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.full_join)
  * [`.inner_join()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.inner_join)
  * [`.left_join()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.left_join)
* [`.pull()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.pull)
* [`.relocate()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.relocate)
* [`.set_names()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.set_names)
* [`.slice()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.slice)
* [`.slice_head()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.slice_head)
* [`.slice_tail()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.slice_tail)
* [`.summarize()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.summarize)
* [`.tail()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.tail)

#### tidyr

* [`.drop_null()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.drop_null)
* [`.fill()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.fill)
* [`.pivot_longer()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.pivot_longer)
* [`.pivot_wider()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.pivot_wider)
* [`.replace_null()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.replace_null)


## Functions

#### General functions

* [`abs()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.abs)
* [`as_float()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.as_float)
* [`as_integer()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.as_integer)
* [`as_string()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.as_string)
* [`between()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.between)
* [`case_when()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.case_when)
* [`cast()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.cast)
* [`first()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.first)
* [`if_else()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.if_else)
* [`is_finite()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.is_finite)
* [`is_in()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.is_in)
* [`is_infinite()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.is_infinite)
* [`is_nan()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.is_nan)
* [`is_not()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.is_not)
* [`is_not_in()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.is_not_in)
* [`is_not_null()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.is_not_null)
* [`is_null()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.is_null)
* [`lag()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.lag)
* [`last()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.last)
* [`lead()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.lead)
* [`max()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.max)
* [`mean()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.mean)
* [`median()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.median)
* [`min()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.min)
* [`n_distinct()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.n_distinct)
* [`replace_null()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.replace_null)
* [`sd()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.sd)
* [`sum()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html#tidypolars.funs.sum)

#### lubridate

* [`as_date()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.as_date)
* [`as_datetime()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.as_datetime)
* [`dt_round()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.dt_round)
* [`hour()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.hour)
* [`mday()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.mday)
* [`minute()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.minute)
* [`month()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.month)
* [`quarter()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.quarter)
* [`second()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.second)
* [`wday()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.wday)
* [`yday()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.yday)
* [`year()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/lubridate/index.html#tidypolars.lubridate.year)

#### stringr

* [`paste()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.paste)
* [`paste0()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.paste0)
* [`str_detect()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_detect)
* [`str_extract()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_extract)
* [`str_length()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_length)
* [`str_remove_all()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_remove_all)
* [`str_remove()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_remove)
* [`str_replace_all()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_replace_all)
* [`str_replace()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_replace)
* [`str_sub()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_sub)
* [`str_to_lower()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_to_lower)
* [`str_to_upper()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_to_upper)
* [`str_trim()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/stringr/index.html#tidypolars.stringr.str_trim)

#### tidyselect
* [`contains()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidyselect/index.html#tidypolars.tidyselect.contains)
* [`ends_with()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidyselect/index.html#tidypolars.tidyselect.ends_with)
* [`everything()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidyselect/index.html#tidypolars.tidyselect.everything)
* [`starts_with()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidyselect/index.html#tidypolars.tidyselect.starts_with)

## Converting from/to pandas DataFrame

* [`from_pandas()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.from_pandas)
* [`.to_pandas()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.to_pandas)

## Reading/writing data

#### Tibble Methods

* [`.write_csv()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.write_csv)
* [`.write_parquet()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/tidypolars/index.html#tidypolars.tidypolars.Tibble.write_parquet)

#### Functions

* [`read_csv()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html?highlight=read_csv#tidypolars.funs.read_csv)
* [`.read_parquet()`](https://tidypolars.readthedocs.io/en/latest/autoapi/tidypolars/funs/index.html?highlight=read_csv#tidypolars.funs.read_parquet)